#!/bin/bash
# 
# Simple script to select user's SMTP activity from an (unzipped) Exim log.
# kovacs.zoltan@ionlab.net 2007-11-09
#
# Usage: $0 [user_id [ logfile_pathname ]]

EXIMLOG="/var/log/exim4/mainlog"	# Default Exim logfile
GREP="/bin/grep"			# grep command call
SMTP_AUTH="courier_authdaemon:"		# SMTP auth marker

userid=$1; shift			# userid given
logfile=${1:-$EXIMLOG}; shift		# logfile pathname defaults to current

for id in `cat $logfile | grep $SMTP_AUTH$userid | cut -d ' ' -f 3`
do
    cat $logfile | grep $id 
done
